Bug 1278509 - [abrt] bluez: memcpy(): bluetoothd killed by SIGSEGV
[abrt] bluez: memcpy(): bluetoothd killed by SIGSEGV
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: bluez (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Don Zickus
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:ce883e2ef75049eb8d1098a7748...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-05 11:17 EST by Vladimir Petroff
Modified: 2016-12-20 10:25 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 10:25:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (18.17 KB, text/plain)
2015-11-05 11:17 EST, Vladimir Petroff
no flags Details
File: cgroup (198 bytes, text/plain)
2015-11-05 11:17 EST, Vladimir Petroff
no flags Details
File: core_backtrace (3.76 KB, text/plain)
2015-11-05 11:17 EST, Vladimir Petroff
no flags Details
File: dso_list (2.16 KB, text/plain)
2015-11-05 11:17 EST, Vladimir Petroff
no flags Details
File: environ (106 bytes, text/plain)
2015-11-05 11:17 EST, Vladimir Petroff
no flags Details
File: limits (1.29 KB, text/plain)
2015-11-05 11:17 EST, Vladimir Petroff
no flags Details
File: maps (10.49 KB, text/plain)
2015-11-05 11:17 EST, Vladimir Petroff
no flags Details
File: mountinfo (3.18 KB, text/plain)
2015-11-05 11:17 EST, Vladimir Petroff
no flags Details
File: open_fds (1.59 KB, text/plain)
2015-11-05 11:17 EST, Vladimir Petroff
no flags Details
File: proc_pid_status (972 bytes, text/plain)
2015-11-05 11:17 EST, Vladimir Petroff
no flags Details
File: var_log_messages (938 bytes, text/plain)
2015-11-05 11:17 EST, Vladimir Petroff
no flags Details
File: exploitable (168 bytes, application/octet-stream)
2015-11-05 11:17 EST, Vladimir Petroff
no flags Details

  None (edit)
Description Vladimir Petroff 2015-11-05 11:17:03 EST
Version-Release number of selected component:
bluez-5.35-1.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/libexec/bluetooth/bluetoothd
crash_function: memcpy
executable:     /usr/libexec/bluetooth/bluetoothd
global_pid:     1445
kernel:         4.2.5-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            0

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 memcpy at /usr/include/bits/string3.h:53
 #1 bacpy at lib/bluetooth.h:320
 #2 bt_cancel_discovery at src/sdp-client.c:382
 #3 browse_request_cancel at src/device.c:596
 #4 device_remove at src/device.c:3854
 #5 adapter_remove at src/adapter.c:5185
 #6 adapter_unregister at src/adapter.c:7423
 #7 index_removed at src/adapter.c:8008
 #8 queue_foreach at src/shared/queue.c:251
 #9 process_notify at src/shared/mgmt.c:280
Comment 1 Vladimir Petroff 2015-11-05 11:17:09 EST
Created attachment 1090219 [details]
File: backtrace
Comment 2 Vladimir Petroff 2015-11-05 11:17:10 EST
Created attachment 1090220 [details]
File: cgroup
Comment 3 Vladimir Petroff 2015-11-05 11:17:12 EST
Created attachment 1090221 [details]
File: core_backtrace
Comment 4 Vladimir Petroff 2015-11-05 11:17:14 EST
Created attachment 1090222 [details]
File: dso_list
Comment 5 Vladimir Petroff 2015-11-05 11:17:15 EST
Created attachment 1090223 [details]
File: environ
Comment 6 Vladimir Petroff 2015-11-05 11:17:17 EST
Created attachment 1090224 [details]
File: limits
Comment 7 Vladimir Petroff 2015-11-05 11:17:18 EST
Created attachment 1090225 [details]
File: maps
Comment 8 Vladimir Petroff 2015-11-05 11:17:20 EST
Created attachment 1090226 [details]
File: mountinfo
Comment 9 Vladimir Petroff 2015-11-05 11:17:21 EST
Created attachment 1090227 [details]
File: open_fds
Comment 10 Vladimir Petroff 2015-11-05 11:17:23 EST
Created attachment 1090228 [details]
File: proc_pid_status
Comment 11 Vladimir Petroff 2015-11-05 11:17:25 EST
Created attachment 1090229 [details]
File: var_log_messages
Comment 12 Vladimir Petroff 2015-11-05 11:17:26 EST
Created attachment 1090230 [details]
File: exploitable
Comment 13 Don Zickus 2016-09-19 14:53:59 EDT
Hi,

I believe this is resolved with the latest bluez package.  Let me know if
this is still an issue.

Cheers,
Don
Comment 14 Fedora End Of Life 2016-11-24 08:06:41 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 15 Fedora End Of Life 2016-12-20 10:25:05 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.